<?php


namespace app\user\controller;


use think\App;
use think\facade\Validate;
class AccountItem extends Base{
	protected $noLogin=[];
	public function __construct(App $app) {
		parent::__construct($app);
		$this->model=new \app\user\model\AccountItem();
	}
	
	public function setItem(){
		$param=$this->request->param(["account_id"=>"","itemid"=>"",'position'=>'1'],"post","trim");
		$valid = Validate::rule([
			"account_id|账户id"=>"require|number|gt:0",
			"itemid|部门id"=>"require|number|gt:0",
			]);
		if($valid->check($param)==false) return error($valid->getError());
		$info = $this->model->where(["account_id"=>$param['account_id']])->findOrEmpty();
		if($param['position']==2){
			$position=$this->model->where([['itemid',"=",$param['itemid']],['position','=',2],['account_id','<>',$param['account_id']],])
			->findOrEmpty();
			if($position->isEmpty()==false){
				$position->position=1;
				$position->save();
			}
		}
		$info->account_id = $param['account_id'];
		$info->itemid = $param['itemid'];
		$info->position = $param['position'];
		$result= $info->save();
		return $result ? success("部门设置成功"): error("部门设置失败");
	}
	
	public function resetItem(){
		$param=$this->request->param(['account_id'=>''],'post','trim');
		$valid = Validate::rule([
			'account_id|账户id'=>'require|number|gt:0',
			]);
		if($valid->check($param)==false) return error($valid->getError());
		$info = $this->model->where(['account_id'=>$param['account_id']])->findOrEmpty();
		if($info->position==2)return error('请先解除用户部门主管');
		$result= $info->delete();
		return $result ? success('部门解除成功'): error('部门解除失败');
	}
	
}